%define upstream_name    Test-Alien-CPP
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Skip a test file unless a C++ compiler is available
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::CppGuess)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test2::Require)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::Alien)
BuildRequires: perl(Test::Alien::Build)
BuildRequires: perl(Text::ParseWords)
BuildArch: noarch

%description
This module works exactly like the Test::Alien manpage except that it
supports C++. All functions like 'alien_ok', etc that are exported by the
Test::Alien manpage are exported by this module. The only difference is
that 'xs_ok' injects C++ support before delegating to the Test::Alien
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Feb 22 2020 shlomif <shlomif> 1.20.0-1.mga8
+ Revision: 1549378
- imported package perl-Test-Alien-CPP

